## thunderbird 102.4.1

=== debian/changelog ===
thunderbird (1:102.4.1-1) unstable; urgency=medium

  [ intrigeri ]
  * [37c5b01] AppArmor: update profile from upstream at commit
    09fa2669dc95cb336d133a6b96cac227e3aa73dc
    This allows running Thunderbird as a native Wayland application.

  [ Carsten Schoenert ]
  * [031c4a2] New upstream version 102.4.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 31 Oct 2022 18:50:44 +0100

=== debian/control ===
Source: thunderbird
Section: mail
Priority: optional
Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
Uploaders:
 Christoph Goehre <chris@sigxcpu.org>,
Build-Depends:
 autoconf2.13,
 bash-completion,
 bzip2,
 cargo (>= 0.57),
 cbindgen (>= 0.19),
 clang,
 debhelper-compat (= 13),
 dh-apparmor,
 dh-exec,
 dpkg (>= 1.16.18~),
 dpkg-dev (>= 1.16.18~),
 libasound2-dev [linux-any],
 libatk-adaptor,
 libcairo2-dev (>= 1.10.2-1.1~),
 libclang-dev,
 libdbus-glib-1-dev (>= 0.60),
 libevent-dev (>= 1.4.1),
 libffi-dev,
 libfontconfig1-dev,
 libglib2.0-dev (>= 2.22.0),
 libgtk-3-dev (>= 3.4),
 libhunspell-dev (>= 1.5.1~),
 libicu-dev (>= 71.1~),
 libidl-dev (>= 0.8.0),
 libiw-dev [linux-any],
 libnotify-dev,
 libnspr4-dev (>= 2:4.32~),
 libnss3-dev (>= 2:3.78~),
 libpng-dev,
 libpulse-dev,
 libreadline-dev,
 librnp-dev,
 librust-toml-dev,
 libstartup-notification0-dev,
 libvpx-dev (>= 1.8.0),
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxft-dev,
 libxt-dev,
 llvm-dev,
 mesa-common-dev,
 nasm,
 nodejs (>= 10.19.0),
 python3,
 rustc (>= 1.59),
 unzip,
 yasm (>= 1.1),
 zip,
 zlib1g-dev,
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/sid/
Homepage: https://www.thunderbird.net/
X-Debian-Homepage: http://wiki.debian.org/Thunderbird
Standards-Version: 4.6.1

Package: thunderbird
Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
Depends:
 debianutils (>= 1.16),
 fontconfig,
 librnp0,
 psmisc,
 x11-utils | kdialog | zenity,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 myspell-en-us | hunspell-dictionary | myspell-dictionary,
Suggests:
 apparmor,
 fonts-lyx,
 libgssapi-krb5-2,
Provides:
 mail-reader,
Breaks:
 birdtray (<< 1.7.0+ds-1~),
 calendar-google-provider (<=1:68.2.1-1),
 enigmail (<< 2:2.2.0~),
 jsunit (<< 0.2.2-1~),
 webext-compactheader (<= 3.0.0~),
 xul-ext-dispmua (<= 1.8.4.6-1),
 webext-exteditor (<= 2.0.4-1),
 xul-ext-sieve (<= 0.3.1+dfsg-1~),
 webext-sogo-connector (<= 68.0.1-2~),
Description: mail/news client with RSS, chat and integrated spam filter support
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 It supports different mail accounts, no matter of the used protocol like
 POP(s) or IMAP(s), has an integrated learning Spam filter, and offers easy
 organization of mails with tagging and virtual folders. Also, more features
 can be added by installing extensions.
 .
 Thunderbird also includes an integrated calendar for handling events, events
 invitations and tasks in multiple calendars. It supports local calendars,
 CalDAV and plain ics files on CardDAV and WebDAV.
 .
 The goal of Thunderbird is to produce a cross platform standalone mail
 application using the XUL user interface language.

Package: thunderbird-l10n-all
Architecture: all
Section: metapackages
Depends:
 thunderbird-l10n-af (>= ${binary:Version}),
 thunderbird-l10n-ar (>= ${binary:Version}),
 thunderbird-l10n-ast (>= ${binary:Version}),
 thunderbird-l10n-be (>= ${binary:Version}),
 thunderbird-l10n-bg (>= ${binary:Version}),
 thunderbird-l10n-br (>= ${binary:Version}),
 thunderbird-l10n-ca (>= ${binary:Version}),
 thunderbird-l10n-cak (>= ${binary:Version}),
 thunderbird-l10n-cs (>= ${binary:Version}),
 thunderbird-l10n-cy (>= ${binary:Version}),
 thunderbird-l10n-da (>= ${binary:Version}),
 thunderbird-l10n-de (>= ${binary:Version}),
 thunderbird-l10n-dsb (>= ${binary:Version}),
 thunderbird-l10n-el (>= ${binary:Version}),
 thunderbird-l10n-en-ca (>= ${binary:Version}),
 thunderbird-l10n-en-gb (>= ${binary:Version}),
 thunderbird-l10n-es-ar (>= ${binary:Version}),
 thunderbird-l10n-es-es (>= ${binary:Version}),
 thunderbird-l10n-es-mx (>= ${binary:Version}),
 thunderbird-l10n-et (>= ${binary:Version}),
 thunderbird-l10n-eu (>= ${binary:Version}),
 thunderbird-l10n-fi (>= ${binary:Version}),
 thunderbird-l10n-fr (>= ${binary:Version}),
 thunderbird-l10n-fy-nl (>= ${binary:Version}),
 thunderbird-l10n-ga-ie (>= ${binary:Version}),
 thunderbird-l10n-gd (>= ${binary:Version}),
 thunderbird-l10n-gl (>= ${binary:Version}),
 thunderbird-l10n-he (>= ${binary:Version}),
 thunderbird-l10n-hr (>= ${binary:Version}),
 thunderbird-l10n-hsb (>= ${binary:Version}),
 thunderbird-l10n-hu (>= ${binary:Version}),
 thunderbird-l10n-hy-am (>= ${binary:Version}),
 thunderbird-l10n-id (>= ${binary:Version}),
 thunderbird-l10n-is (>= ${binary:Version}),
 thunderbird-l10n-it (>= ${binary:Version}),
 thunderbird-l10n-ja (>= ${binary:Version}),
 thunderbird-l10n-ka (>= ${binary:Version}),
 thunderbird-l10n-kab (>= ${binary:Version}),
 thunderbird-l10n-kk (>= ${binary:Version}),
 thunderbird-l10n-ko (>= ${binary:Version}),
 thunderbird-l10n-lt (>= ${binary:Version}),
 thunderbird-l10n-lv (>= ${binary:Version}),
 thunderbird-l10n-ms (>= ${binary:Version}),
 thunderbird-l10n-nb-no (>= ${binary:Version}),
 thunderbird-l10n-nl (>= ${binary:Version}),
 thunderbird-l10n-nn-no (>= ${binary:Version}),
 thunderbird-l10n-pa-in (>= ${binary:Version}),
 thunderbird-l10n-pl (>= ${binary:Version}),
 thunderbird-l10n-pt-br (>= ${binary:Version}),
 thunderbird-l10n-pt-pt (>= ${binary:Version}),
 thunderbird-l10n-rm (>= ${binary:Version}),
 thunderbird-l10n-ro (>= ${binary:Version}),
 thunderbird-l10n-ru (>= ${binary:Version}),
 thunderbird-l10n-sk (>= ${binary:Version}),
 thunderbird-l10n-sl (>= ${binary:Version}),
 thunderbird-l10n-sq (>= ${binary:Version}),
 thunderbird-l10n-sr (>= ${binary:Version}),
 thunderbird-l10n-sv-se (>= ${binary:Version}),
 thunderbird-l10n-th (>= ${binary:Version}),
 thunderbird-l10n-tr (>= ${binary:Version}),
 thunderbird-l10n-uk (>= ${binary:Version}),
 thunderbird-l10n-uz (>= ${binary:Version}),
 thunderbird-l10n-vi (>= ${binary:Version}),
 thunderbird-l10n-zh-cn (>= ${binary:Version}),
 thunderbird-l10n-zh-tw (>= ${binary:Version}),
 ${misc:Depends},
Description: All language packages for Thunderbird (meta)
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package is a metapackage depending on all available localization of
 Thunderbird.

Package: thunderbird-l10n-af
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:af
Recommends:
 hunspell-af,
Description: Africaans language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Africaans.

Package: thunderbird-l10n-ar
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ar
Recommends:
 hunspell-ar,
Description: Arabic language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Arabic.

Package: thunderbird-l10n-ast
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ast
Description: Asturian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Asturian.

Package: thunderbird-l10n-be
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:be
Recommends:
 hunspell-be,
Description: Belarusian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Belarusian.

Package: thunderbird-l10n-bg
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:bg
Recommends:
 hunspell-bg | myspell-bg,
Description: Bulgarian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Bulgarian.

Package: thunderbird-l10n-br
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:br
Recommends:
 hunspell-br,
Description: Breton language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Breton.

Package: thunderbird-l10n-ca
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:ca
Recommends:
 hunspell-ca | myspell-ca,
Description: Catalan/Valencian language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Catalan/Valencian.

Package: thunderbird-l10n-cak
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cak-GT
Description: Kacqhikel language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Kacqhikel.

Package: thunderbird-l10n-cs
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cs
Recommends:
 hunspell-cs | myspell-cs-cz,
Description: Czech language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Czech.

Package: thunderbird-l10n-cy
Architecture: all
Section: localization
Depends:
 thunderbird (<< ${source:Version}.1~),
 thunderbird (>= ${source:Version}),
 ${misc:Depends},
Homepage: https://wiki.mozilla.org/L10n:Teams:cy
Description: Welsh language package for Thunderbird
 Thunderbird is an mail client suitable for free distribution. The goal of
 Thunderbird is to produce a cross platform stand-alone mail application using
 the XUL user interface language.
 .
 This package contains the localization of Thunderbird in Welsh.

Package: thunderbird-l10n-da

## thunderbird 102.5.0

=== debian/changelog ===
thunderbird (1:102.5.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Nov 2022 17:59:56 +0100

thunderbird (1:102.5.0-1) unstable; urgency=medium

  * [2f04265] New upstream version 102.5.0
    Fixed CVE issues in upstream version 102.5 (MFSA 2022-49):
    CVE-2022-45403: Service Workers might have learned size of cross-origin
                    media files
    CVE-2022-45404: Fullscreen notification bypass
    CVE-2022-45405: Use-after-free in InputStream implementation
    CVE-2022-45406: Use-after-free of a JavaScript Realm
    CVE-2022-45408: Fullscreen notification bypass via windowName
    CVE-2022-45409: Use-after-free in Garbage Collection
    CVE-2022-45410: ServiceWorker-intercepted requests bypassed SameSite
                    cookie policy
    CVE-2022-45411: Cross-Site Tracing was possible via non-standard
                    override headers
    CVE-2022-45412: Symlinks may resolve to partially uninitialized buffers
    CVE-2022-45416: Keystroke Side-Channel Leakage
    CVE-2022-45418: Custom mouse cursor could have been drawn over
                    browser UI
    CVE-2022-45420: Iframe contents could be rendered outside the iframe
    CVE-2022-45421: Memory safety bugs fixed in Thunderbird 102.5
  * [57e94ac] Rebuild patch queue from patch-queue branch
    Added patches:
    fixes/Bug-1782988-Avoid-build-bustage-when-building-against-gli.patch
    fixes/Bug-1782988-Fix-use-of-arc4random_buf-use-in-ping.cpp.-r-.patch
    (Closes: #1023789)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 15 Nov 2022 19:34:55 +0100

## thunderbird 102.5.1

=== debian/changelog ===
thunderbird (1:102.5.1-1) unstable; urgency=medium

  * [ae4d1ff] New upstream version 102.5.1
    Fixed CVE issues in upstream version 102.5.1 (MFSA 2022-50):
    CVE-2022-45414: Quoting from an HTML email with certain tags will trigger
                    network requests and load remote content, regardless of
                    a configuration to block remote content

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 30 Nov 2022 12:27:38 +0100

## thunderbird 102.6.0

=== debian/changelog ===
thunderbird (2:102.6.0-1mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 16 Dec 2022 15:14:38 -0800

thunderbird (1:102.6.0-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 15 Dec 2022 18:13:40 +0100

thunderbird (1:102.6.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 14 Dec 2022 17:34:40 +0100

thunderbird (1:102.6.0-1) unstable; urgency=medium

  [ Paul Gevers ]
  * [6bbbd94] tests: thunderbird no longer builds on armel and armhf, so
    let's not fail while trying to test there
  * [d9e09a0] tests: help.sh is really a very superficial test, so let's
    mark it as such

  [ Carsten Schoenert ]
  * [43b90d6] New upstream version 102.6.0
    Fixed CVE issues in upstream version 102.6 (MFSA 2022-53):
    CVE-2022-46880: Use-after-free in WebGL
    CVE-2022-46872: Arbitrary file read from a compromised content process
    CVE-2022-46881: Memory corruption in WebGL
    CVE-2022-46874: Drag and Dropped Filenames could have been truncated to
                    malicious extensions
    CVE-2022-46882: Use-after-free in WebGL
    CVE-2022-46878: Memory safety bugs fixed in Thunderbird 102.6
  * [745c1a3] Rebuild patch queue from patch-queue branch
    Removed patches (included upstream):
    fixes/Bug-1773070-Rename-remove-some-eventState-s-variables.-r-.patch
    fixes/Bug-1782988-Avoid-build-bustage-when-building-against-gli.patch
    fixes/Bug-1782988-Fix-use-of-arc4random_buf-use-in-ping.cpp.-r-.patch
  * [1e74214] d/control: Increase buid dep on libnss3-dev to 3.79.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 13 Dec 2022 19:40:57 +0100

thunderbird (1:102.5.0-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 16 Nov 2022 19:08:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: thunderbird
 Section: mail
 Priority: optional
-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
  Christoph Goehre <chris@sigxcpu.org>,
 Build-Depends:
@@ -11,7 +12,7 @@
  cargo (>= 0.57),
  cbindgen (>= 0.19),
  clang,
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  dh-apparmor,
  dh-exec,
  dpkg (>= 1.16.18~),
@@ -21,25 +22,18 @@
  libcairo2-dev (>= 1.10.2-1.1~),
  libclang-dev,
  libdbus-glib-1-dev (>= 0.60),
- libevent-dev (>= 1.4.1),
  libffi-dev,
  libfontconfig1-dev,
  libglib2.0-dev (>= 2.22.0),
  libgtk-3-dev (>= 3.4),
  libhunspell-dev (>= 1.5.1~),
- libicu-dev (>= 71.1~),
  libidl-dev (>= 0.8.0),
  libiw-dev [linux-any],
  libnotify-dev,
- libnspr4-dev (>= 2:4.32~),
- libnss3-dev (>= 2:3.78~),
  libpng-dev,
  libpulse-dev,
  libreadline-dev,
- librnp-dev,
- librust-toml-dev,
  libstartup-notification0-dev,
- libvpx-dev (>= 1.8.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
@@ -47,27 +41,27 @@
  libxt-dev,
  llvm-dev,
  mesa-common-dev,
+ mozilla-devscripts,
  nasm,
  nodejs (>= 10.19.0),
  python3,
- rustc (>= 1.59),
+ rustc-mozilla (>= 1.59),
  unzip,
  yasm (>= 1.1),
  zip,
  zlib1g-dev,
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/sid
-Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/sid/
+Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/buster
+Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/buster/
 Homepage: https://www.thunderbird.net/
 X-Debian-Homepage: http://wiki.debian.org/Thunderbird
 Standards-Version: 4.6.1
 
 Package: thunderbird
-Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
+Architecture: amd64 armhf arm64 i386 mips64el ppc64el s390x ppc64
 Depends:
  debianutils (>= 1.16),
  fontconfig,
- librnp0,
  psmisc,
  x11-utils | kdialog | zenity,
  ${misc:Depends},
@@ -349,3 +343,6 @@
  This package contains the localization of Thunderbird in Welsh.
 
 Package: thunderbird-l10n-da
+Architecture: all
+Section: localization
+Depends:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# checking the release type, if $(RELEASE)=UNRELEASED we won't build
# the thunderbird-dbgsym package
include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

THUNDERBIRD_VERSION=$(shell tail -1 comm/mail/config/version.txt)
DEB_AUTO_UPDATE_AUTOCONF=2.13

# build directory used for building the thunderbird-l10n files
THUNDERBIRD_L10N_BUILDDIR=debian/thunderbird-l10n-build

# ID of the l10n language packs from upstream, need to match the application.id
# in thunderbird-l10n/$LANG/manifest.json
export MOZ_LANGPACK_ID = $(shell grep MOZ_LANGPACK_EID comm/mail/locales/Makefile.in | cut -f2 -d @)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options. Picked partially from FF.

dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
lazy = $(eval $(1) = $$(if $$(___$(1)),,$$(eval ___$(1) := $(2)))$$(___$(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

# special CFLAGS for various platforms
ifeq ($(DEB_BUILD_ARCH),armel)
	CFLAGS += -D__ARM_PCS
	LDFLAGS += -Wl,-z,muldefs
endif

# Use thinLTO on armhf, to stay in the memory budget with an armhf toolchain.
ifeq (armhf,$(DEB_BUILD_ARCH))
export DEBIAN_RUST_LTO=-Clto=thin
endif

# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
LDFLAGS += -Wl,--no-keep-memory
LDFLAGS += -Wl,--as-needed

# Make the linker generate compressed debug sections. dh_strip would do
# the same anyways, but it allows elfhack to work in combination with
# unstripped binaries when they would normally be larger than 2GiB.
# Doing this only on 64bit architectures.
ifeq (64,$(DEB_BUILD_ARCH_BITS))
	LDFLAGS += -Wl,--compress-debug-sections=zlib
endif

# Add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

# Using the timestamp for MOZ_BUILD_DATE from the file './sourcestamp.txt'
# which is set by Mozilla while creating the release.
# This ensures we have a one-to-one date across the various package builds
# within Debian for one upstream version. This is important for user which
# are performing a dist-upgrade to a new release.
export MOZ_BUILD_DATE := ${shell head -n1 $(CURDIR)/sourcestamp.txt}
export MOZCONFIG=$(shell pwd)/mozconfig.thunderbird
export MOZILLA_OFFICIAL=1
export DEB_BUILD_GNU_TYPE
export DEB_HOST_GNU_TYPE
export DEB_BUILD_OPTIONS
# Some Debian build tools clear out some variables
export SHELL=/bin/bash
# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo
export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild
export MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=system

%:
	dh $@

build:
	dh $@

override_dh_auto_clean:
	dh_auto_clean --builddirectory=obj-thunderbird
	find -type f -name "*.pyc" -exec rm {} \;
	rm -rf third_party/python/psutil/tmp
	rm -f configure old-configure js/src/configure js/src/old-configure mozconfig.*
	# needed for thunderbird-l10n
	rm -rf $(THUNDERBIRD_L10N_BUILDDIR)
	rm -rf $(CARGO_HOME)
	rm -rf $(MOZBUILD_STATE_PATH)

override_dh_auto_configure:
ifeq (armhf,$(DEB_BUILD_ARCH))
ifeq (,$(shell grep -l cpu:type:aarch64 /sys/devices/system/cpu/modalias))
	# There is not enough memory in armhf userspace with a 32-bits kernel.
	$(error Unfortunately cannot build on armhf. Try a 64-bits kernel)
endif
endif
	# run autoconf for all configure files
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/js/src/configure ]; then \
		cd $(CURDIR)/js/src && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
	# copy the mozconfig files
	cp debian/mozconfig.* .
	# Disable debug symbols when building on 32-bits machines, because
	# a) the rust compiler can't deal with it in the available address
	# space, and b) the linker can't deal with it in the available address
	# space either.
ifeq (32,$(DEB_BUILD_ARCH_BITS))
	echo 'ac_add_options --disable-debug-symbols' >> mozconfig.default
endif
	echo 'mk_add_options MOZ_OBJDIR=$(CURDIR)/obj-thunderbird' >> mozconfig.thunderbird
	echo 'ac_add_options --prefix=$(CURDIR)/debian/tmp/usr' >> mozconfig.default
	# configure the various build settings for thunderbird
	DIST= python3 ./mach -v configure

# Ignore autoreconf, there is nothing that could be reconfigured. It's all
# newly generated right before debhelper would call that target.
override_dh_autoreconf:

override_dh_auto_build:
	# building the stuff
	dh_auto_build --builddirectory=obj-thunderbird
	# build thunderbird-l10n
	mkdir -p $(THUNDERBIRD_L10N_BUILDDIR)
	cd $(CURDIR)/thunderbird-l10n ;\
	for XPI in *; do \
		locale=`basename $${XPI}` ;\
		USED_LANGPACK_ID=`grep langpack- $${XPI}/manifest.json | tr '"' ' ' | awk '{print $$3}' | cut -f2-3 -d @` ;\
		if [ "$${USED_LANGPACK_ID}" != "$${MOZ_LANGPACK_ID}" ]; then \
			echo "MOZ_LANGPACK_ID mismatch! '$${USED_LANGPACK_ID}' != '$${MOZ_LANGPACK_ID}'" ;\
			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
			exit 1 ;\
		else \
			xpi-pack $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
		fi \
	done

override_dh_auto_install:
ifneq (,$(filter mips,$(DEB_BUILD_ARCH)))
	sed -i '/"javascript.options.\(baselinejit\|ion\)"/s/true/false/' obj-thunderbird/dist/bin/greprefs.js
endif
	# install thunderbird into temp install folder
	python3 ./mach -v install
	# install, symlinking thunderbird-l10n packages
	cd $(CURDIR)/thunderbird-l10n ;\
	for LANG in *; do \
		locale=`basename $${LANG}` ;\
		lowercase_locale=`echo $${locale} | tr 'A-Z' 'a-z'` ;\
		echo "preparing and working on 'thunderbird-l10n-$${lowercase_locale}  (langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi)" ;\
		mkdir -p $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/ ;\
		install -D -m 644 ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi $(CURDIR)/debian/thunderbird-l10n-$${lowercase_locale}/usr/lib/thunderbird/extensions/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
	done
	dh_bash-completion

override_dh_install-arch:
	dh_install
	# apparmor profile installed by dh_install
	dh_apparmor --profile-name=usr.bin.thunderbird -pthunderbird

override_dh_install-indep:
	dh_install
	# remove executable rights on *.js, *.png, *.xul files
	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;

override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0

override_dh_builddeb:
	# just build all packages if there is no 'UNRELEASED' within the changelog
	# found, otherwise skip the thunderbird-dbgsym package, it isn't there
	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
		dh_builddeb ;\
	else \
		dh_builddeb -pthunderbird ;\
		dh_builddeb -plightning ;\
		for package in `grep -e \
			'Package: thunderbird-l10n\|Package: lightning-l10n' debian/control | awk '{print $$2;}'`; do \
			dh_builddeb -p$$package ;\
		done ;\
		sed -i '/thunderbird-dbgsym/d' debian/files ;\
	fi

override_dh_missing:

## thunderbird 102.7.1

=== debian/changelog ===
thunderbird (1:102.7.1-1) unstable; urgency=medium

  * [dbc3385] New upstream version 102.7.1
    Fixed CVE issues in upstream version 102.7 (MFSA 2023-03):
    CVE-2022-46871: libusrsctp library out of date
    CVE-2023-23598: Arbitrary file read from GTK drag and drop on Linux
    CVE-2023-23601: URL being dragged from cross-origin iframe into same
                    tab triggers navigation
    CVE-2023-23602: Content Security Policy wasn't being correctly applied
                    to WebSockets in WebWorkers
    CVE-2022-46877: Fullscreen notification bypass
    CVE-2023-23603: Calls to <code>console.log</code> allowed bypasing
                    Content Security Policy via format directive
    CVE-2023-23605: Memory safety bugs fixed in Thunderbird 102.7
    Fixed CVE issues in upstream version 102.7.1 (MFSA not yet released):
    CVE-2023-0430: Revocation status of S/Mime signature certificates was
                   not checked
  * [af92a36] Rebuild patch queue from patch-queue branch
    Added patch:
    debian-hacks/Python-3.11-Don-t-use-mode-rU-any-more.patch
    (Closes: #1028885)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 24 Jan 2023 16:32:06 +0100

## thunderbird 102.7.2

=== debian/changelog ===
thunderbird (1:102.7.2-1) unstable; urgency=medium

  * [468e468] New upstream version 102.7.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 08 Feb 2023 18:34:59 +0100

thunderbird (1:102.7.1+1-1) unstable; urgency=medium

  * [5ce0e7d] New upstream version 102.7.1+1
    Fixed CVE issues in upstream version 102.7.1 (MFSA 2023-04):
    CVE-2023-0430: Revocation status of S/Mime signature certificates was
                   not checked
    Note: The previous version 1:102.7.1-1 was build on top of a release
    candidate which does not fixed CVE-2023-0430 fully.
    (Closes: #1029594, #1029606)
  * [c7c81a5] apparmor: Expand profile folder about .mozilla-thunderbird
    (Closes: #1030532)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2023 17:27:40 +0100

## thunderbird 102.8.0

=== testing/raptor/requirements.txt ===
mozcrash ~= 2.0
mozrunner ~= 7.0
mozprofile ~= 2.1
manifestparser >= 1.1
wptserve ~= 3.0
mozdevice >= 4.0.0
mozpower >= 1.0.0
mozversion >= 1.0
../condprofile
aiohttp==3.7.4.post0
https://pypi.pub.build.mozilla.org/pub/arsenic-19.1-py3-none-any.whl
requests==2.22.0
pyyaml==5.1.2
structlog==15.2.0

=== testing/mozharness/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MozHarness.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MozHarness.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MozHarness"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MozHarness"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
thunderbird (1:102.8.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Feb 2023 11:35:51 +0100

thunderbird (1:102.8.0-1) unstable; urgency=medium

  * [b130936] New upstream version 102.8.0
    Fixed CVE issues in upstream version 102.8.0 (MFSA 2023-07):
    CVE-2023-0616: User Interface lockup with messages combining S/MIME and
                   OpenPGP
    CVE-2023-25728: Content security policy leak in violation reports using
                    iframes
    CVE-2023-25730: Screen hijack via browser fullscreen mode
    CVE-2023-0767: Arbitrary memory write via PKCS 12 in NSS
    CVE-2023-25735: Potential use-after-free from compartment mismatch in
                    SpiderMonkey
    CVE-2023-25737: Invalid downcast in SVGUtils::SetupStrokeGeometry
    CVE-2023-25739: Use-after-free in
                    mozilla::dom::ScriptLoadContext::~ScriptLoadContext
    CVE-2023-25729: Extensions could have opened external schemes without
                    user knowledge
    CVE-2023-25732: Out of bounds memory write from EncodeInputStream
    CVE-2023-25742: Web Crypto ImportKey crashes tab
    CVE-2023-25746: Memory safety bugs fixed in Thunderbird 102.8
  * [66e2335] Rebuild patch queue from patch-queue branch
    Removed patch (included upstream):
    debian-hacks/Python-3.11-Don-t-use-mode-rU-any-more.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 17 Feb 2023 20:17:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: thunderbird
 Section: mail
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
+Maintainer: Carsten Schoenert <c.schoenert@t-online.de>
 Uploaders:
  Christoph Goehre <chris@sigxcpu.org>,
 Build-Depends:
@@ -12,7 +11,7 @@
  cargo (>= 0.57),
  cbindgen (>= 0.19),
  clang,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apparmor,
  dh-exec,
  dpkg (>= 1.16.18~),
@@ -22,6 +21,7 @@
  libcairo2-dev (>= 1.10.2-1.1~),
  libclang-dev,
  libdbus-glib-1-dev (>= 0.60),
+ libevent-dev (>= 1.4.1),
  libffi-dev,
  libfontconfig1-dev,
  libglib2.0-dev (>= 2.22.0),
@@ -33,7 +33,9 @@
  libpng-dev,
  libpulse-dev,
  libreadline-dev,
+ librust-toml-dev,
  libstartup-notification0-dev,
+ libvpx-dev (>= 1.8.0),
  libx11-dev,
  libx11-xcb-dev,
  libxau-dev,
@@ -41,7 +43,6 @@
  libxt-dev,
  llvm-dev,
  mesa-common-dev,
- mozilla-devscripts,
  nasm,
  nodejs (>= 10.19.0),
  python3,
@@ -51,14 +52,14 @@
  zip,
  zlib1g-dev,
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/buster
-Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/buster/
+Vcs-Git: https://salsa.debian.org/mozilla-team/thunderbird.git -b debian/bullseye
+Vcs-Browser: https://salsa.debian.org/mozilla-team/thunderbird/commits/debian/bullseye/
 Homepage: https://www.thunderbird.net/
 X-Debian-Homepage: http://wiki.debian.org/Thunderbird
 Standards-Version: 4.6.1
 
 Package: thunderbird
-Architecture: amd64 armhf arm64 i386 mips64el ppc64el s390x ppc64
+Architecture: amd64 arm64 i386 mips64el ppc64el s390x ppc64
 Depends:
  debianutils (>= 1.16),
  fontconfig,
@@ -346,3 +347,4 @@
 Architecture: all
 Section: localization
 Depends:
+ thunderbird (<< ${source:Version}.1~),

=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,6 @@
 ifeq ($(DEB_BUILD_ARCH),armel)
 	CFLAGS += -D__ARM_PCS
 	LDFLAGS += -Wl,-z,muldefs
-endif
-
-# Use thinLTO on armhf, to stay in the memory budget with an armhf toolchain.
-ifeq (armhf,$(DEB_BUILD_ARCH))
-export DEBIAN_RUST_LTO=-Clto=thin
 endif
 
 # Reduce memory usage of the linker at the expense of processing time
@@ -101,12 +96,6 @@
 	rm -rf $(MOZBUILD_STATE_PATH)
 
 override_dh_auto_configure:
-ifeq (armhf,$(DEB_BUILD_ARCH))
-ifeq (,$(shell grep -l cpu:type:aarch64 /sys/devices/system/cpu/modalias))
-	# There is not enough memory in armhf userspace with a 32-bits kernel.
-	$(error Unfortunately cannot build on armhf. Try a 64-bits kernel)
-endif
-endif
 	# run autoconf for all configure files
 	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
 		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
@@ -144,7 +133,7 @@
 			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
 			exit 1 ;\
 		else \
-			xpi-pack $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
+			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
 		fi \
 	done
 
@@ -176,7 +165,11 @@
 	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;
 
 override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
+	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
+		dh_strip --automatic-dbgsym ;\
+	else \
+		dh_strip --no-automatic-dbgsym ;\
+	fi
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0
@@ -197,3 +190,10 @@
 	fi
 
 override_dh_missing:
+	dh_missing -X usr/bin/thunderbird \
+	           -X usr/lib/thunderbird/Throbber-small.gif \
+	           -X usr/lib/thunderbird/crashreporter \
+	           -X usr/lib/thunderbird/minidump-analyzer \
+	           -X usr/lib/thunderbird/pingsender
+
+override_dh_dwz:

## thunderbird 102.9.0

=== debian/changelog ===
thunderbird (2:102.9.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 21 Mar 2023 12:46:02 -0700

thunderbird (1:102.9.0-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Mar 2023 08:34:01 +0100

thunderbird (1:102.9.0-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 16 Mar 2023 16:55:25 +0100

thunderbird (1:102.9.0-1) unstable; urgency=medium

  * [ad8cc7c] New upstream version 102.9.0
    Fixed CVE issues in upstream version 102.9 (MFSA 2023-11):
    CVE-2023-25751: Incorrect code generation during JIT compilation
    CVE-2023-28164: URL being dragged from a removed cross-origin iframe
                    into the same tab triggered navigation
    CVE-2023-28162: Invalid downcast in Worklets
    CVE-2023-25752: Potential out-of-bounds when accessing throttled streams
    CVE-2023-28176: Memory safety bugs fixed in Thunderbird 102.9
  * [b0a22c0] d/control: Increase Standards-Version to 4.6.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 15 Mar 2023 19:54:53 +0100

thunderbird (1:102.8.0-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster-security

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Feb 2023 12:54:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,11 @@
 ifeq ($(DEB_BUILD_ARCH),armel)
 	CFLAGS += -D__ARM_PCS
 	LDFLAGS += -Wl,-z,muldefs
+endif
+
+# Use thinLTO on armhf, to stay in the memory budget with an armhf toolchain.
+ifeq (armhf,$(DEB_BUILD_ARCH))
+export DEBIAN_RUST_LTO=-Clto=thin
 endif
 
 # Reduce memory usage of the linker at the expense of processing time
@@ -96,6 +101,12 @@
 	rm -rf $(MOZBUILD_STATE_PATH)
 
 override_dh_auto_configure:
+ifeq (armhf,$(DEB_BUILD_ARCH))
+ifeq (,$(shell grep -l cpu:type:aarch64 /sys/devices/system/cpu/modalias))
+	# There is not enough memory in armhf userspace with a 32-bits kernel.
+	$(error Unfortunately cannot build on armhf. Try a 64-bits kernel)
+endif
+endif
 	# run autoconf for all configure files
 	if [ "Z$(DEB_AUTO_UPDATE_AUTOCONF)" != Z ] || [ ! -e $(CURDIR)/configure ]; then \
 		cd $(CURDIR) && `which autoconf$(DEB_AUTO_UPDATE_AUTOCONF) || which autoconf`; fi
@@ -133,7 +144,7 @@
 			echo "thunderbird-l10n l10n source '$${XPI}' uses a different MOZ_LANGPACK_ID than defined in $(CURDIR)/comm/mail/locales/Makefile.in!";\
 			exit 1 ;\
 		else \
-			$(CURDIR)/debian/xpi-pack.sh $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
+			xpi-pack $${XPI} ../$(THUNDERBIRD_L10N_BUILDDIR)/langpack-$${locale}@$${MOZ_LANGPACK_ID}.xpi ;\
 		fi \
 	done
 
@@ -165,11 +176,7 @@
 	find debian/thunderbird-l10n*/ -type f \( -name "*.dtd" -o -name "*.js" -o -name "*.png" -o -name "*.properties" -o -name "*.xul" \) -exec chmod 644 {} \;
 
 override_dh_strip:
-	if [ "$(RELEASE)" != "UNRELEASED" ]; then \
-		dh_strip --automatic-dbgsym ;\
-	else \
-		dh_strip --no-automatic-dbgsym ;\
-	fi
+	dh_strip --no-automatic-dbgsym
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/thunderbird -- -xlibgtk2.0-0
@@ -190,10 +197,3 @@
 	fi
 
 override_dh_missing:
-	dh_missing -X usr/bin/thunderbird \
-	           -X usr/lib/thunderbird/Throbber-small.gif \
-	           -X usr/lib/thunderbird/crashreporter \
-	           -X usr/lib/thunderbird/minidump-analyzer \
-	           -X usr/lib/thunderbird/pingsender
-
-override_dh_dwz:
